# Included in prometheus-server-values-prod-azure.yaml
  - job_name: blackbox-ropid
    metrics_path: "/probe"
    params:
      module:
        - http_2xx_ropid_sla
    relabel_configs:
      - source_labels:
          - __address__
        target_label: __param_target
      - source_labels:
          - __param_target
        regex: https:\/\/api\.golemio\.cz\/v2\/pid\/departureboards\?minutesAfter=120&limit=20&mode=departures&filter=none&order=real&names=%C4%8Cern%C3%BD%20Most
        replacement: T1
        target_label: query
      - source_labels:
          - __param_target
        regex: https:\/\/api\.golemio\.cz\/v2\/pid\/departureboards\?minutesAfter=300&limit=50&mode=departures&filter=none&order=real&names=Hlavn%C3%AD%20n%C3%A1dra%C5%BE%C3%AD
        replacement: T2
        target_label: query
      - source_labels:
          - __param_target
        regex: https:\/\/api\.golemio\.cz\/v2\/pid\/departureboards\?minutesAfter=600&limit=10&mode=departures&filter=none&order=real&aswIds=4314
        replacement: T3
        target_label: query
      - source_labels:
          - __param_target
        regex: https:\/\/api\.golemio\.cz\/v2\/vehiclepositions\?includeNotTracking=false&includePositions=false&preferredTimezone=Europe%2FPrague
        replacement: T4
        target_label: query
      - source_labels:
          - __param_target
        regex: https:\/\/api\.golemio\.cz\/v2\/vehiclepositions\?routeShortName=177
        replacement: T5
        target_label: query
      - source_labels:
          - __param_target
        regex: https:\/\/api\.golemio\.cz\/v2\/vehiclepositions\/gtfsrt\/vehicle_positions\.pb
        replacement: T6
        target_label: query
      - source_labels:
          - __param_target
        regex: https:\/\/api\.golemio\.cz\/v2\/vehiclepositions\/gtfsrt\/trip_updates\.pb
        replacement: T7
        target_label: query
      - target_label: __address__
        replacement: prometheus-blackbox-exporter:9115
    scrape_interval: 5m
    scrape_timeout: 2m
    static_configs:
      - targets:
          - https://api.golemio.cz/v2/pid/departureboards?minutesAfter=120&limit=20&mode=departures&filter=none&order=real&names=%C4%8Cern%C3%BD%20Most
          - https://api.golemio.cz/v2/pid/departureboards?minutesAfter=300&limit=50&mode=departures&filter=none&order=real&names=Hlavn%C3%AD%20n%C3%A1dra%C5%BE%C3%AD
          - https://api.golemio.cz/v2/pid/departureboards?minutesAfter=600&limit=10&mode=departures&filter=none&order=real&aswIds=4314
          - https://api.golemio.cz/v2/vehiclepositions?includeNotTracking=false&includePositions=false&preferredTimezone=Europe%2FPrague
          - https://api.golemio.cz/v2/vehiclepositions?routeShortName=177
          - https://api.golemio.cz/v2/vehiclepositions/gtfsrt/trip_updates.pb
          - https://api.golemio.cz/v2/vehiclepositions/gtfsrt/vehicle_positions.pb
